La plej nova beta de iOS 9.3 ne plu estas masonita pro la cimo de la dato de 1970

ios-dato-bone

Se vi maltrankviliĝas pri la fiasko, kiu povas transformi vian iPhone en paperpezilon kiam vi agordas datita en 1970Vi devas scii, ke ĉi tiu problemo havas siajn tagojn kalkulitajn. La plej nova beta de iOS 9.3, kies publika versio estis publikigita hieraŭ marde kaj la versio por programistoj pasintan lundon, malebligas ke 64-bita iOS-aparato (la tuŝitaj) estu briko fiksante la fatalan daton. Se ne estas surprizoj, la fina versio aperos en la semajno de la 15a de marto.

La 'verdikto de 1970' estis malkovrita meze de ĉi tiu monato kaj, kiel ni menciis antaŭe, brikeo ajna iPhone, iPod Touch aŭ iPad de 64-bitoj malhelpante ĝin rekomenci post ĉesigo, kvankam ĝi fakte ne estas briko, ĉar ĉi tio ja havas solvon. La problemo ŝajnas esti, ke la kapablo de la aparato superas kiam la iPhone restarigas la daton al la maksimuma valoro, tre alta nombro, kiun iOS-aparatoj ne kapablas procesi.

La cimo de 1970 estos riparita en la sekva versio de iOS

La solvo elektita de Apple estas tre simpla: ekde la kvara beta de iOS 9.3, la plej malnova dato agordebla estas la Decembro 31 de 2.000 je la 7a matene aŭ la 1an de januaro 2001 je la 12a horo, depende de la areo. Ĉiukaze, se ne por fari ian ŝercon, nun mi ne povas pensi pri iu kazo, en kiu mi fiksus daton antaŭ 16 jaroj.

Aliflanke, la kvara beta de iOS 9.3 ankaŭ solvas problemon por aparatoj, kiuj estus tuŝitaj de la kraŝo de 1970. Se iPhone restis por tio cimo, povas esti restarigita per beta eldonita ĉi-semajne, io simila al la kazo de aparatoj trafitaj de la fifama Eraro 53. Ĉu vi spertis la kraŝon de 1970 kaj ĉu vi feliĉas kun ĉi tiuj novaĵoj?


La enhavo de la artikolo aliĝas al niaj principoj de redakcia etiko. Por raporti eraron alklaku Ĉi tie.

7 komentoj, lasu la viajn

Lasu vian komenton

Via retpoŝta adreso ne estos eldonita. Postulita kampojn estas markita per *

*

*

  1. Respondeca pri la datumoj: AB Internet Networks 2008 SL
  2. Celo de la datumoj: Kontrola SPAM, administrado de komentoj.
  3. Legitimado: Via konsento
  4. Komunikado de la datumoj: La datumoj ne estos komunikitaj al triaj krom per laŭleĝa devo.
  5. Stokado de datumoj: Datumbazo gastigita de Occentus Networks (EU)
  6. Rajtoj: Iam ajn vi povas limigi, retrovi kaj forigi viajn informojn.

  1.   elmike11 diris

    Tio estas tre bona.
    Sed kiel malbone ili traktas unu eraron kaj alia aperas ...
    Mi scias; Ili estas beta (publika) sed mia Apple Watch (2.1 kiu antaŭe funkciis normale) ĉar ĉi tiu publika beta 4 ĉesas ricevi sciigojn,
    Hodiaŭ ĝi estas simpla multekosta horloĝo sen esti inteligenta.
    Mi esperas, ke la 2 semajnoj por nova beta pasos rapide kaj solvos ĝin

    Iuj ĉe reddit diras, ke ĝisdatigi la Apple Watch al 2.2, poste malinkronigi kaj sinkronigi denove sed (tie alia nodo) kvankam mi jam elŝutas la beta-profilon sur la Watch, ĝi ne ĵetas al mi la ĝisdatigon (kaj la vero estas tiel timiga ĉar tie ĉu neniu paŝo malantaŭen)
    Iuj ideoj? Kion vi pensas, ke vi legis al mi?
    Dankon pro donado al mi de kablo kaj salutojn al ĉiu leganto.

    1.    angelr19 diris

      La samo okazis al mi, kaj farante tion, kion ĝi diras ĉe reddit, ĝi estis solvita.

      1.    Manuel Serrano Fernandez diris

        Okazis al mi same, ke mi ĉesis ricevi sciigojn de la horloĝo kaj paro da programoj ĉesis funkcii

  2.   IOS 5 Eterne diris

    Neniam ĝisdatigu, ĝi estas tiel simpla !!! Ne indas, se io funkcias, ne tuŝu ĝin! Se via icacharro venas kun versio x de ios, lasu ĝin tiel, ĉar tiu versio estas tiu, kiu perfekte funkcios kun ĝi. Mi havas miajn 4-ojn kun ios 5 kaj ĝi funkcias kiel silko, funkciante ekde la unua tago kaj sen problemoj aŭ pendas aŭ malfruas aŭ entute

    1.    Eduardo diris

      Sed ekzistas programoj, kiuj bezonas iOS 8 kaj plu por povi uzi ĝin poŝtelefone 🙂

  3.   Retejo diris

    OS 5 Forever kaj sen povi instali novajn programojn, diru la bonan kaj ankaŭ la malbonan, mi havas iPhone 4 ĝis IOS 6 ravita de vivo per sia fajneco, kiel telefono ĝi funkcias perfekte, telegramo, whatsapp, kalendaro, sorto I instalis tiujn programojn kiam ĝi ankoraŭ kongruis kun iOS 6.0.
    Sed ĉiuj, kiuj bezonas almenaŭ IOS8, ŝraŭbas vin sen povi testi ilin

  4.   louis diris

    Estas vere, antaŭ iom da tempo mi havis iPhone 4s kun IOS6 kaj ĝi estis tre fluida, mi egalis kun la bazoj (muziko, fotoj, fotilo, kalendaro, notoj) kun la iPhone 6, nur por la aplikoj, kiuj multaj estis jam ne 100% kongruaj kaj tiuj, kiuj havis, havis tre limigitan funkcion